package com.czg.cashier_reserve;

import android.content.Context;

import io.flutter.plugin.common.BinaryMessenger;

public class ContextHolder {
	private static ContextHolder instance;
	private Context context;
	private BinaryMessenger binaryMessenger;

	private ContextHolder() {}

	public static ContextHolder getInstance() {
		if (instance == null) {
			instance = new ContextHolder();
		}
		return instance;
	}

	public void setContext(Context context) {
		this.context = context;
	}

	public Context getContext() {
		return context;
	}

	public void setBinaryMessenger(BinaryMessenger binaryMessenger) {
		this.binaryMessenger = binaryMessenger;
	}

	public BinaryMessenger getBinaryMessenger() {
		return binaryMessenger;
	}
}
